GetOpt Class Reference

## Public Member Functions

| GetOpt (int argc, char **argv, const char *optstring)
int | operator() (void)

## Public Attributes

int | nargc
char ** | nargv
const char * | noptstring
char * | optarg
int | opterr
int | optind

## Detailed Description

Definition at line 37 of file GetOpt.h.

## Constructor & Destructor Documentation

## GetOpt()

GetOpt::GetOpt | ( | int | argc,
|  | char ** | argv,
|  | const char * | optstring
| ) |  |

Definition at line 51 of file GetOpt.cc.

## Member Function Documentation

## operator()()

int GetOpt::operator() | ( | void |  | ) |

Definition at line 137 of file GetOpt.cc.

## Member Data Documentation

## nargc

int GetOpt::nargc

Definition at line 115 of file GetOpt.h.

## nargv

char** GetOpt::nargv

Definition at line 116 of file GetOpt.h.

## noptstring

const char* GetOpt::noptstring

Definition at line 117 of file GetOpt.h.

## optarg

char* GetOpt::optarg

Definition at line 95 of file GetOpt.h.

## opterr

int GetOpt::opterr

Definition at line 113 of file GetOpt.h.

## optind

int GetOpt::optind

Definition at line 108 of file GetOpt.h.

The documentation for this class was generated from the following files:

- GetOpt.h
- GetOpt.cc